com.aliyun.svideosdk.common.struct.project

## Class Timeline

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Timeline

-     public class Timeline
      extends java.lang.Object

  工程时间线 v3.23.0 新增

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timeline()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AudioTrack>` | `getAudioTracks()` 获取音频轨道列表
    `float` | `getDuration()` 获取时间线时长 单位：秒
    `java.util.List<EffectTrack>` | `getEffectTracks()` 获取效果轨道列表
    `java.util.List<GlobalTrack>` | `getGlobalTracks()` 获取全局轨道列表
    `java.util.List<PasterTrack>` | `getPasterTracks()` 获取贴纸轨道列表
    `java.util.List<VideoTrack>` | `getPipTracks()` 获取画中画轨道列表
    `VideoTrack` | `getPrimaryTrack()` 获取主轨道
    `java.util.List<VideoTrack>` | `getVideoTracks()` 获取视频轨道列表
    `void` | `setDuration(float duration)` 设置时间线时长 单位：秒

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Timeline

          public Timeline()

  - ### Method Detail

    - #### getDuration

          public float getDuration()

      获取时间线时长 单位：秒
      Returns:
        时间线时长

    - #### setDuration

          public void setDuration(float duration)

      设置时间线时长 单位：秒
      Parameters:
        `duration` - 时间线时长

    - #### getPrimaryTrack

          public VideoTrack getPrimaryTrack()

      获取主轨道
      Returns:
        视频轨道

    - #### getVideoTracks

          public java.util.List<VideoTrack> getVideoTracks()

      获取视频轨道列表
      Returns:
        视频轨道列表

    - #### getAudioTracks

          public java.util.List<AudioTrack> getAudioTracks()

      获取音频轨道列表
      Returns:
        音频轨道列表

    - #### getPasterTracks

          public java.util.List<PasterTrack> getPasterTracks()

      获取贴纸轨道列表
      Returns:
        贴纸轨道列表

    - #### getPipTracks

          public java.util.List<VideoTrack> getPipTracks()

      获取画中画轨道列表
      Returns:
        画中画轨道列表

    - #### getGlobalTracks

          public java.util.List<GlobalTrack> getGlobalTracks()

      获取全局轨道列表
      Returns:
        全局轨道列表

    - #### getEffectTracks

          public java.util.List<EffectTrack> getEffectTracks()

      获取效果轨道列表
      Returns:
        效果轨道列表